const nodemailer = require('nodemailer')
const _config    = require('../../model/config')

module.exports = class Email {
    constructor() {
        const createMailer = setTimeout(() => {
            if (_config.email !== undefined) {
                this.mailer = nodemailer.createTransport(_config.email)
                clearTimeout(createMailer)
            }
        }, 3333)
    }

    sendEmail(req, res) {
        this.mailer.sendMail({
            from: req.body.email,
            to: _config.email.auth.user,
            subject: 'From create-std-rest',
            text: req.body.text,
        }, (err, info) => {
            (err) 
                ? res.status(500).send(err)
                : res.status(200).send(info)
        })
    }
}